import logging

from .cerebrum import (
    Event,
    tofh_to_cerebrum_converter as cerebrum_event,
)


log = logging.getLogger(__name__)


@cerebrum_event
def account_modify_transform(event: Event):
    """Transformation for no.uio.cerebrum.scim.accounts.modify"""
    log.info("account_modify_transform event=%r", event)
    return (event.subject,), {"attributes": event.attributes}
